Bug 1017808 - 'too much hardlinks' error
'too much hardlinks' error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 10:24 EDT by Enrico Scholz
Modified: 2014-05-14 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-14 12:04:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2013-10-10 10:24:58 EDT
Description of problem:

The btrfs filesystems created by mkfs.btrfs are hitting EMLINK errors with low counts of links:

 $ cd <btrfs-directory>
 $ echo x > <M-250>x            # M-250 means, pressing meta key + entering 250
 $ for i in `seq 0 14`; do ln -f *x <M-250>x$i; done
 ln: failed to create hard link to 'xx...': Too many links

I am aware that btrfs had a very low hard link limit but afaik it was removed in kernel 3.7 by introducing extended inode refs.

I tried 'btrfstune -r' and 'btrfstune -x' on the filesystem but problem still remains.


Version-Release number of selected component (if applicable):

btrfs-progs-0.20.rc1.20130917git194aa4a-1.fc19.x86_64
kernel-3.11.2-201.fc19.x86_64


How reproducible:

100%
Comment 1 Eric Sandeen 2013-11-14 14:32:03 EST
This is a mass update of F19 and F20 btrfs-progs bugs.

A btrfs-progs git snapshot has been built in Rawhide and submitted for F19 and F20 testing.

If your bug was reproducible, please re-test with the new build, and update this bug to let us know if it's been resolved.  If so I can add it to the Bodhi errata.

Thanks,
-Eric
Comment 2 Eric Sandeen 2014-05-13 12:39:08 EDT
btrfs-progs-3.14.1 has been pushed to Fedora 19 and 20 for testing.

I frankly have no idea if this will resolve your bug or not, but if you test it and find that it does, please take the opportunity to close this bug.  :)

Thanks,
-Eric
Comment 3 Eric Sandeen 2014-05-14 12:04:44 EDT
This all works upstream, as far as I know.  If not, feel free to re-open with current version details.

-Eric

Note You need to log in before you can comment on or make changes to this bug.